Hisobdan chiqarishlar
GET
/v1/write-off-report-table
const url = 'https://api-admin.billz.ai/v1/write-off-report-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&page=1&limit=10¤cy=UZS';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/write-off-report-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&page=1&limit=10¤cy=UZS' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Talab qilinadigan ruxsatlar: «“Hisobdan chiqarishlar” hisoboti».
Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiQuery Parameters
“Query Parameters” bo'limistart_date
string format: date
Example
2026-08-01Format YYYY-MM-DD, vaqtsiz
end_date
string format: date
Example
2026-08-31Format YYYY-MM-DD, vaqtsiz
shop_ids
Array<string>
Bo’sh qiymat kompaniyaning barcha do’konlari bilan almashtirilmaydi
Example
[ "fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6", "92302dfb-fa33-4e6a-8d19-87214852b25d"]page
integer format: int32
Raqam bo’lmagan → 400 ‘invalid page’
Example
1limit
integer format: int32
Raqam bo’lmagan → 400 ‘invalid limit’
Example
10currency
string
Hisobot summalari valyutasi
Example
UZSHeader Parameters
“Header Parameters” bo'limiplatform-id
string
Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
Media typeapplication/json
object
count
integer format: int32
Items
Hisobot qatorlari; kalit — bosh harf bilan
Array<object>
object
write_off_id
string
write_off_external_id
string
write_off_name
string
write_off_reason
string
write_off_type
string
shop_id
string
shop_name
string
created_by_name
string
created_by_id
string
created_at
string
product_id
string
product_name
string
product_sku
string
product_barcode
string
product_measurement_unit_name
string
categories
Array<object>
object
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
product_brand
string
supplier
string
product_is_archived
boolean
description
string
product_attributes
Array<object>
object
product_custom_fields
Array<object>
object
product_supply_price
number
product_retail_price
number
written_off_measurement_value
number
written_off_supply_price_sum
number
written_off_retail_price_sum
number
measurement_unit
object
id
string
name
string
company_id
string
short_name
string
precision
string
Examplegenerated
{ "count": 1, "Items": [ { "write_off_id": "example", "write_off_external_id": "example", "write_off_name": "example", "write_off_reason": "example", "write_off_type": "example", "shop_id": "example", "shop_name": "example", "created_by_name": "example", "created_by_id": "example", "created_at": "example", "product_id": "example", "product_name": "example", "product_sku": "example", "product_barcode": "example", "product_measurement_unit_name": "example", "categories": [ {} ], "level_1": [ "example" ], "level_2": [ "example" ], "level_3": [ "example" ], "level_4": [ "example" ], "level_5": [ "example" ], "product_brand": "example", "supplier": "example", "product_is_archived": true, "description": "example", "product_attributes": [ {} ], "product_custom_fields": [ {} ], "product_supply_price": 1, "product_retail_price": 1, "written_off_measurement_value": 1, "written_off_supply_price_sum": 1, "written_off_retail_price_sum": 1, "measurement_unit": { "id": "example", "name": "example", "company_id": "example", "short_name": "example", "precision": "example" } } ]}